'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var init = require('./lib/init');
var check = require('./lib/check');
var curDir = process.cwd();

// 不需要注册命令，就把command的key-value删除
// 不需要在启动阶段执行任何操作，就把autoRun的key-value删除
exports.default = {
  command: { // (如不需要增加额外命令可以删除command)
    name: 'data',
    description: '模块数据处理',
    options: [['-c, --check', '指定asset代理使用src目录的资源']],
    action: function action(prog) {
      try {
        _logger2.default.setDebug(prog.debug).start(); // 必须做设置，才能开启log并同步父级log的debug模式状态
        // 项目文件的tap.conf.js（前提：项目有这个文件）
        //log.info(prog.projectTapConfFile);
        //log.info(prog.port);
        //log.info(prog.root);
        if (prog.check) {
          check(curDir);
        } else {
          init(curDir);
        }
      } catch (e) {
        _logger2.default.error('data命令操作失败失败').stop();
        throw e;
      }
    }
  }
};
module.exports = exports['default'];