"use strict";

var _logger = require('./../logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var path = require('path');
var chalk = require('chalk');
var fs = require("fs");

function checkTitle(title) {
    var ret = true;
    if ({}.toString.call(title) === '[object String]' && title.length < 3) {
        _logger2.default.error('schema.json中title字段必须填写且至少3个字');
        ret = false;
    }
    return ret;
}

function isPainObject(o) {
    return {}.toString.call(o).toLowerCase() === '[object object]';
}

function loopForIn(o) {
    var ret = true;
    if (isPainObject(o)) {
        for (var key in o) {
            if (key === 'title') {
                ret = checkTitle(o[key]);
            } else if (isPainObject(o[key])) {
                ret = loopForIn(o[key]);
            }
            if (!ret) {
                break;
            }
        }
    } else {
        _logger2.default.error('schema.json文件格式错误');
        ret = false;
    }
    return ret;
}

module.exports = function (cwd) {
    _logger2.default.info(cwd);
    try {
        var schema = require(path.join(cwd, 'build/schema.json'));
    } catch (e) {
        _logger2.default.error('schema.json文件不存在，第一次发布前需要先执行一次tap-cli schema');
    }
    return loopForIn(schema);
};