'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _logger = require('./../logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var JSONToSchema = require('tapc-j2s');
var path = require('path');
var fs = require('fs');

module.exports = function (cwd) {
    var schema;
    try {
        schema = require(path.join(cwd, 'src/schema.json'));
    } catch (e) {
        schema = {};
    }
    try {
        var mockData = require(path.join(cwd, 'src/data.json'));
        schema = JSONToSchema(mockData, schema);
        var filePath = path.join(cwd, 'src/schema.json');
        fs.writeFileSync(path.join(cwd, 'src/schema.json'), (0, _stringify2.default)(schema, null, 4));
        _logger2.default.info('schema.json自动生成成功，文件位置:src/schema.json');
        return true;
    } catch (e) {
        _logger2.default.info('schema文件写入失败');
        return false;
    }
};