"use strict";

const path = require('path');
const chalk = require('chalk');
const fs = require("fs");

import log from './../logger';

function checkTitle(title) {
    var ret = true;
    if (({}).toString.call(title) === '[object String]' && title.length < 3) {
        log.error('schema.json中title字段必须填写且至少3个字');
        ret = false;
    }
    return ret;
}

function isPainObject(o) {
    return ({}).toString.call(o).toLowerCase() === '[object object]';
}

function loopForIn(o) {
    var ret = true;
    if (isPainObject(o)) {
        for (var key in o) {
            if (key === 'title') {
                ret = checkTitle(o[key]);
            } else if (isPainObject(o[key])) {
                ret = loopForIn(o[key]);
            }
            if (!ret) {
                break;
            }
        }
    } else {
        log.error('schema.json文件格式错误');
        ret = false;
    }
    return ret;
}


module.exports = function(cwd) {
    log.info(cwd);
    try {
        var schema = require(path.join(cwd, 'build/schema.json'));
    } catch (e) {
        log.error('schema.json文件不存在，第一次发布前需要先执行一次tap-cli schema');
    }
    return loopForIn(schema);
}
