const JSONToSchema = require('tapc-j2s');
const path = require('path');
const fs = require('fs');

import log from './../logger';

module.exports = function(cwd) {
    var schema;
    try {
        schema = require(path.join(cwd, 'src/schema.json'));
    } catch (e) {
        schema = {};
    }
    try {
        var mockData = require(path.join(cwd, 'src/data.json'));
        schema = JSONToSchema(mockData, schema);
        var filePath = path.join(cwd, 'src/schema.json');
        fs.writeFileSync(path.join(cwd, 'src/schema.json'), JSON.stringify(schema, null, 4));
        log.info('schema.json自动生成成功，文件位置:src/schema.json');
        return true;
    } catch (e) {
        log.info('schema文件写入失败');
        return false;
    }
}
